Subject: bug#2056: 23.0.60; Enabling flyspell degrades performance

From: Chong Yidong <[email-masked]>
Date: Thu, 16 Apr 2009 14:07:34 -0400

> Following the recipe from bug#2717 on GNU/Linux shows a slowdown for
> me too.  If instead I do (as suggested in some other bug):
> emacs -Q gall1.shtml
> M-: (setq process-connection-type nil) RET
> M-x flyspell-mode RET
>
> then the cursor movement is much better.  Not perfect, but still
> better.

I see a slowdown, but the slowdown seems to be identical in Emacs 22 and
Emacs 23.  I suspect that flyspell is doing something silly (i.e., that
the problem is in flyspell rather than Emacs core).